cURL
curl -X GET "https://app.cotool.ai/api/detections/:id/outputs" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json"import requests
url = "https://app.cotool.ai/api/detections/{id}/outputs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.cotool.ai/api/detections/{id}/outputs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://app.cotool.ai/api/detections/{id}/outputs")
.header("Authorization", "Bearer <token>")
.asString();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.cotool.ai/api/detections/{id}/outputs"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"settings": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"enabled": true,
"destinationIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"createdAt": "<string>",
"updatedAt": "<string>",
"acNotificationsEnabled": true,
"acNotificationDestinationIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"acNotificationsInheritOrgDefault": true
},
"destinations": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"type": "<string>",
"config": {
"url": "<string>",
"headerName": "<string>"
},
"token": "<string>",
"hasToken": true
}
],
"effectiveSettings": {
"enabled": true,
"destinationIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
},
"organizationDefaultSettings": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"enabled": true,
"destinationIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"createdAt": "<string>",
"updatedAt": "<string>"
}
}{
"error": "<string>",
"issues": [
{}
]
}{
"error": "<string>"
}{
"error": "<string>",
"missingPerms": [
"<string>"
]
}{
"error": "<string>"
}Detections
Get detection output configuration
Retrieve output settings and available destinations for a detection.
GET
/
api
/
detections
/
{id}
/
outputs
cURL
curl -X GET "https://app.cotool.ai/api/detections/:id/outputs" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json"import requests
url = "https://app.cotool.ai/api/detections/{id}/outputs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.cotool.ai/api/detections/{id}/outputs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://app.cotool.ai/api/detections/{id}/outputs")
.header("Authorization", "Bearer <token>")
.asString();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.cotool.ai/api/detections/{id}/outputs"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"settings": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"enabled": true,
"destinationIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"createdAt": "<string>",
"updatedAt": "<string>",
"acNotificationsEnabled": true,
"acNotificationDestinationIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"acNotificationsInheritOrgDefault": true
},
"destinations": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"type": "<string>",
"config": {
"url": "<string>",
"headerName": "<string>"
},
"token": "<string>",
"hasToken": true
}
],
"effectiveSettings": {
"enabled": true,
"destinationIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
},
"organizationDefaultSettings": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"enabled": true,
"destinationIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"createdAt": "<string>",
"updatedAt": "<string>"
}
}{
"error": "<string>",
"issues": [
{}
]
}{
"error": "<string>"
}{
"error": "<string>",
"missingPerms": [
"<string>"
]
}{
"error": "<string>"
}Authorizations
API Key authentication for programmatic access. Include your API key in the Authorization header as: Bearer your_api_key_here
Path Parameters
Detection UUID
Response
Successful response
Override settings for this detection, if configured
Show child attributes
Show child attributes
Available output destinations for the organization
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
Show child attributes
Show child attributes
Effective output settings after applying organization defaults
Show child attributes
Show child attributes
Organization-wide default output settings for detections
Show child attributes
Show child attributes
Was this page helpful?
⌘I